@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
runtime.h File Reference
`#include "pico.h"`
Include dependency graph for runtime.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | PICO_RUNTIME_INIT_FUNC(func, priority_string)
#define | PICO_RUNTIME_INIT_FUNC_HW(func, priority_string)
#define | PICO_RUNTIME_INIT_FUNC_RUNTIME(func, priority_string)
#define | PICO_RUNTIME_INIT_FUNC_PER_CORE(func, priority_string)

## Functions

void | runtime_init (void)
| Run all the initializations that are usually called by crt0.S before entering main.
void | runtime_run_initializers (void)
void | runtime_run_per_core_initializers (void)

## Macro Definition Documentation

## PICO_RUNTIME_INIT_FUNC

#define PICO_RUNTIME_INIT_FUNC | ( |  | func,
|  |  | priority_string )

Value:
uintptr_t __used __attribute__((section(".preinit_array." priority_string))) __pre_init_ ## func = (uintptr_t)(void (*)(void)) (func)

## PICO_RUNTIME_INIT_FUNC_HW

#define PICO_RUNTIME_INIT_FUNC_HW | ( |  | func,
|  |  | priority_string )

Value:
PICO_RUNTIME_INIT_FUNC(func, priority_string)

## PICO_RUNTIME_INIT_FUNC_PER_CORE

#define PICO_RUNTIME_INIT_FUNC_PER_CORE | ( |  | func,
|  |  | priority_string )

Value:
PICO_RUNTIME_INIT_FUNC(func, "ZZZZZ." priority_string)

## PICO_RUNTIME_INIT_FUNC_RUNTIME

#define PICO_RUNTIME_INIT_FUNC_RUNTIME | ( |  | func,
|  |  | priority_string )

Value:
PICO_RUNTIME_INIT_FUNC(func, priority_string)